using IRaCIS.Application.Contracts;

namespace IRaCIS.Application.Interfaces
{
    public interface ILogService
    {
        IResponseOutput SaveLog2Db(SystemLogDTO viewModel);
        PageOutput<SystemLogDTO> GetLogList(QueryLogQueryDTO param);

        PageOutput<AuditDTO> GetAuditList(AuditQueryDTO param);

        List<OptUserDto> GetOptUserList(Guid trialId);

        List<AuditSubjectSelectDto> GetSubjectList(Guid trialId);


    }
}
